### Method

# Gimp Display get_window_handle

#### Declaration [src]

    gint
    gimp_display_get_window_handle (
      GimpDisplay* display
    )

#### Description [src]

Get a handle to the native window for an image display.

This procedure returns a handle to the native window for a given image display. For example in the X backend of GDK, a native window handle is an Xlib XID. A value of 0 is returned for an invalid display or if this function is unimplemented for the windowing system that is being used.

Available since: | 2.4

#### Return value

Returns: | `gint`
| The native window handle or 0.